LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-04-2002, 03:36 PM   #1
freezinbutt
Member
 
Registered: Mar 2002
Location: Fairbanks, Alaska
Distribution: Ubuntu 9.04
Posts: 55

Rep: Reputation: 15
Opera RPM install problem


Ok. I want to try Opera so I go to their site and download version 5, RPM for Mandrake (I'm running Mandy 8.2). Now I click on the file and it asks for the root password of course, and then I enter the nice little Mandy install wizard for RPM's. It checks the downloaded files and then asks if I want to install (I say yes). Then I get this error that says:

libpng.so.2<>=S is needed by Opera 5.0-3

With the error window I get two options; Force and Quit. When I hit quit, I get booted out. When I hit force, it proceeds with the install as expected.

Now I go to usr/bin and find the executable file labeled Opera and click on it. Nothing!!! What did I do wrong and what is this error about? I tried uninstalling and then downloading other versions of Opera (i.e. statically linked and dynamically linked) but the same thing happens.

I'm pretty new here so I'm not all that comfortable with .tz files and all. I think the RPM's are more my speed right now.

Any help would be appreciated,
freezinbutt
 
Old 04-04-2002, 03:49 PM   #2
taz.devil
Senior Member
 
Registered: Nov 2001
Location: Wa. State
Distribution: Slackware
Posts: 1,261

Rep: Reputation: 45
First, i'd suggest making sure you have the libpng libraries, since Opera
says it's dependant on them. Then i'd install any RPM from a term.
Just open Xterm or whatever, go to your downloaded rpm and type:
rpm -ivh packagename.rpm
It's alot more reliable and not hard to do, and you'll be sure it installed correctly.
But first, do a find files or however you prefer for the libpng.so.2 file etc..
 
Old 04-04-2002, 04:15 PM   #3
freezinbutt
Member
 
Registered: Mar 2002
Location: Fairbanks, Alaska
Distribution: Ubuntu 9.04
Posts: 55

Original Poster
Rep: Reputation: 15
Thanks taz

I figured it out. Mandy 8.2 comes with libpng.so.3 so I went to rpmfind.net and found libpng.so.2 and installed it. That solved all my problems. I guess I just needed some time to figure this thing out (you know, think like the computer thinks).

Thanks a lot for replying though,
freezinbutt
 
Old 04-04-2002, 09:17 PM   #4
Sixpax
Member
 
Registered: Mar 2002
Distribution: Mandrake 8.1
Posts: 386

Rep: Reputation: 30
BTW, I've been using Opera 6 for a few weeks now and no problems.
 
Old 04-04-2002, 10:14 PM   #5
freezinbutt
Member
 
Registered: Mar 2002
Location: Fairbanks, Alaska
Distribution: Ubuntu 9.04
Posts: 55

Original Poster
Rep: Reputation: 15
Cool!!! I thought about trying that, but whimped out when I saw it was in BETA release. I didn't want anything to get screwed up. I'll have to go get it.

Thanks,
freezinbutt
 
Old 04-04-2002, 10:41 PM   #6
Sixpax
Member
 
Registered: Mar 2002
Distribution: Mandrake 8.1
Posts: 386

Rep: Reputation: 30
Yeah, I usually won't try it if it's still listed as a "beta" version, but it's really past that phase and on the "RC" (release candidate) phase. Although it's probably not totally bug free, it's pretty close to done.
 
Old 04-04-2002, 11:01 PM   #7
freezinbutt
Member
 
Registered: Mar 2002
Location: Fairbanks, Alaska
Distribution: Ubuntu 9.04
Posts: 55

Original Poster
Rep: Reputation: 15
Did you have to uninstall your old version before installing the BETA version? I'd like to have both if I could, until the final version comes out.
 
Old 04-07-2002, 11:26 AM   #8
Sixpax
Member
 
Registered: Mar 2002
Distribution: Mandrake 8.1
Posts: 386

Rep: Reputation: 30
I don't remember doing an uninstall.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problem using dpkg to install Opera blastradius Ubuntu 1 10-27-2005 02:53 AM
Can't remove opera...rpm says not installed hlpboplz Linux - Newbie 3 05-27-2005 06:34 AM
Importing opera bookmarks to opera problem timsch75 Linux - Software 3 03-20-2004 09:10 PM
Opera RPM and a newbie webwolf70 Linux - Software 3 02-23-2004 12:55 PM
I want to Install Opera Browser but a problem is there ady Linux - Newbie 1 07-22-2001 03:37 PM


All times are GMT -5. The time now is 10:53 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration